import javax.management.ObjectName;
import javax.management.Query;

import fr.ippon.groovy.util.WebLoMBean;

def mbs = WebLoMBean.getDomainMBeanServer('t3://localhost:7001', 'weblogic', 'weblogic')

def destFilter = javax.management.Query.with {
	match(attr('Name'),value('*@MyFirstDistributedQueue'))
}

def destinationMBeanNames = mbs.queryNames(new ObjectName('com.bea:Type=JMSDestinationRuntime,*'), destFilter)
def destinationMbeans = destinationMBeanNames.collect { new GroovyMBean(mbs, it) }

//def ids = """
//ID:<294882.1256553770265.0>
//ID:<294882.1256553799937.1>
//ID:<294882.1256554027953.0>
//"""
//def selector = "JMSMessageID IN ('"+ids.readLines().join("','")+"')";
def selector = "JMSType = 'MyCustomJMSType'"

destinationMbeans.each { mbean ->
	def nbMsg = mbean.deleteMessages(selector)
	
	def server = mbean.name().getKeyProperty('Location')
	println "$nbMsg message(s) removed on jms server $server"
}
